Depicus Logo

depicus

changing the digital world one bit at a time...

Welcome To Depicus

Depicus Arp Viewer

Requires Microsoft® Windows® 98, Microsoft Windows® Millennium Edition, Microsoft® Windows NT® version 4.0 with Service Pack 4, Microsoft Windows® 2000, Microsoft Windows® XP or Microsoft Windows® .NET Server.

What does it look like.

Price - We ask for nothing (credits, payment etc. although that would be nice) except that you let us know so we can get a warm glowing feeling from knowing our work is used in the real world.

For those that managed to get this far - here is version 2.1. This unfortunately will be a Windows 2000 and above only version. You can download here